#ifndef LIBREGEXIS024_FA_MAKE_DETERMINISTIC_H
#define LIBREGEXIS024_FA_MAKE_DETERMINISTIC_H

#include <libregexis024fa/fa_first_stage_fix.h>
#include <libregexis024fa/selarr_priority_table.h>

namespace regexis024 {
    void try_determinize_fa(FA_Container &sourceFa, const RegexPriorityTable &sifter, tai_t selarr_sz,
        const REGEX_IS024_FA_FirstStageFixInfo &info1, FA_Container &resFa, int &error, int& had_to_fork);
}

#endif //LIBREGEXIS024_FA_MAKE_DETERMINISTIC_H
