/* Internal use only */
#ifndef LIBREGEXIS024_SRC_LIBREGEXIS024SOL_EXPR_PARSE_FUNCTIONS_COMMAND_RECOGNITION_H
#define LIBREGEXIS024_SRC_LIBREGEXIS024SOL_EXPR_PARSE_FUNCTIONS_COMMAND_RECOGNITION_H

#include <libregexis024sol/special_terminals.h>

namespace regexis024 {
    bool is_header_cmd(const Command& cmd);
    bool is_header_dfa_cmd(const Command& cmd);
    bool is_header_select_cmd(const Command& cmd);
    void int_parse_with_limit_concern(const std::string& str, REGEX_IS024_MeaningContext &ctx, size_t& res, int lim);
}

#endif //LIBREGEXIS024_SRC_LIBREGEXIS024SOL_EXPR_PARSE_FUNCTIONS_COMMAND_RECOGNITION_H
