#ifndef LIBREGEXIS024_SRC_LIBREGEXIS024FA_GRAPH_TO_BYTECODE_CORE_H
#define LIBREGEXIS024_SRC_LIBREGEXIS024FA_GRAPH_TO_BYTECODE_CORE_H

#include <libregexis024fa/finite_automaton.h>
#include <libregexis024fa/graph_to_bytecode/natural_compiler_utils.h>

namespace regexis024 {
    void compilation_core(std::vector<uint8_t>& result, FA_Container& fa, explicit_bookmarks& bookmark_manager,
                          size_t& first_read_ns, size_t& second_read_ns, size_t& fork_ss_ns, int& error);
}

#endif
