#ifndef LIBREGEXIS024_SRC_LIBREGEXIS024FA_GRAPH_TO_BYTECODE_FA_COMPILER_H
#define LIBREGEXIS024_SRC_LIBREGEXIS024FA_GRAPH_TO_BYTECODE_FA_COMPILER_H

#include <stdint.h>
#include <vector>
#include <libregexis024fa/finite_automaton.h>
#include <libregexis024fa/selarr_priority_table.h>
#include <libregexis024fa/fa_first_stage_fix.h>

namespace regexis024 {
    void compile_fa_to_regexis024_bytecode(std::vector<uint8_t>& result, FA_Container& fa, RegexPriorityTable& priority_table,
        size_t selarr_size, const REGEX_IS024_FA_FirstStageFixInfo& info1, int& error);
}

#endif

