/* DO NOT INCLUDE THIS FILE OUTSIDE libregexis024sol implementation */
#ifndef LIBREGEXIS024_SRC_LIBREGEXIS024SOL_SOL_MISC_BASE_H
#define LIBREGEXIS024_SRC_LIBREGEXIS024SOL_SOL_MISC_BASE_H

#include <libregexis024sol/expr_compiler.h>
#include <string>

namespace regexis024 {
    void report(REGEX_IS024_MeaningContext& ctx, const char* error);

    bool isEnd(REGEX_IS024_MeaningContext& ctx);
    int32_t peep(REGEX_IS024_MeaningContext& ctx);
    int32_t readChar(REGEX_IS024_MeaningContext& ctx);


    bool is_REGEX024_nameConstituent(int32_t ch);
    /* Name in my library consists of [0-9a-zA-Z]. If the first peeped letter is not name constituent,
    * empty string is returned */
    std::string tryRead_REGEX024_name(REGEX_IS024_MeaningContext& ctx);
}
#endif //LIBREGEXIS024_SRC_LIBREGEXIS024SOL_SOL_MISC_BASE_H
