#include <libregexis024sol/expr_compiler.h>
#include <libregexis024test/byte_code_disassembler.h>

using namespace regexis024;

int main(){
    std::string regular_expression = "\\>1*";
    REGEX_IS024_MeaningContext regex(regular_expression.size(), regular_expression.c_str());
    if (regex.error)
        fprintf(stderr, "%s\n", regex.error_msg.c_str());
    std::vector<uint8_t> res = regex.compiled_program;
    print_disassembly(res.size(), res.data());
    return 0;
}
